.cart-section {
  width: 720px;
  height: 80vh;
  border-radius: 30px;
  background-color: rgba(0, 0, 0, 0.2);
  -webkit-backdrop-filter: blur(15px);
  backdrop-filter: blur(15px);
  position: fixed;
  z-index: -999;
  top: -50%;
  right: 0;
  transform: translate(50%, -50%) scale(1);
  display: block;
}
.cart-section.active {
  z-index: 999;
  top: 50%;
  right: 50%;
  animation: CartOpen 0.4s cubic-bezier(0.8, 0, 0, 0.8);
}
@keyframes CartOpen {
  0% {
    transform: translate(50%, -50%) scale(0);
    top: -50%;
    right: 0;
  }
  100% {
    transform: translate(50%, -50%) scale(1);
    top: 50%;
    right: 50%;
  }
}
.cart-section .cart-header .title-box {
  text-align: center;
  padding: 20px 0 0;
}
.cart-section .cart-header .title-box .cart-title {
  font-size: 24px;
  color: #FFF;
}
.cart-section .cart-header .title-box .cart-en {
  font-size: 16px;
  color: rgba(255, 255, 255, 0.3);
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 10px 0;
}
.cart-section .cart-header .title-box .cart-en:before {
  content: "";
  display: inline-block;
  position: relative;
  top: 0;
  left: 0;
  width: 100%;
  height: 1px;
  background-color: rgba(255, 255, 255, 0.1);
  margin-right: 10px;
}
.cart-section .cart-header .title-box .cart-en:after {
  content: "";
  display: inline-block;
  position: relative;
  top: 0;
  right: 0;
  width: 100%;
  height: 1px;
  background-color: rgba(255, 255, 255, 0.1);
  margin-left: 10px;
}
.cart-section .cart-header .closeicon {
  fill: #FFF;
  width: 18px;
  height: 18px;
  position: absolute;
  right: 30px;
  top: 30px;
  cursor: pointer;
}
.cart-section .cart-product::-webkit-scrollbar {
  width: 8px;
}
.cart-section .cart-product::-webkit-scrollbar-track {
  background: transparent;
  border-radius: 100px;
}
.cart-section .cart-product::-webkit-scrollbar-thumb {
  background: rgba(0, 0, 0, 0.2);
  border-radius: 100px;
}
.cart-section .cart-product {
  padding: 0 30px;
  height: 740px;
  overflow: auto;
  scroll-snap-type: y mandatory;
  position: relative;
}
.cart-section .cart-product .cart-product-goods {
  display: flex;
  align-items: center;
  border-radius: 20px;
  padding: 30px;
  transition: all 0.2s;
  cursor: default;
  scroll-snap-align: start;
}
.cart-section .cart-product .cart-product-goods:hover {
  background-color: rgba(0, 0, 0, 0.2);
}
.cart-section .cart-product .cart-product-goods:hover .cart-info .product-list .del {
  width: 26px;
  height: 26px;
  opacity: 0.9;
}
.cart-section .cart-product .cart-product-goods:hover .cart-img .product-img-30,
.cart-section .cart-product .cart-product-goods:hover .cart-img .product-img-31,
.cart-section .cart-product .cart-product-goods:hover .cart-img .product-img-32 {
  animation: float-goods-img2 2.8s infinite;
  animation-play-state: running;
}
@keyframes float-goods-img2 {
  0% {
    transform: translate(-50%, -50%);
  }
  50% {
    transform: translate(-50%, -60%);
  }
  100% {
    transform: translate(-50%, -50%);
  }
}
.cart-section .cart-product .cart-product-goods:hover .cart-img .p-img {
  animation: float-goods-img2 2s infinite;
  animation-play-state: running;
}
@keyframes float-goods-img2 {
  0% {
    transform: translate(-50%, -50%);
  }
  50% {
    transform: translate(-50%, -60%);
  }
  100% {
    transform: translate(-50%, -50%);
  }
}
.cart-section .cart-product .cart-product-goods .cart-img {
  width: 110px;
  height: 110px;
  border-radius: 16px;
  background-color: rgba(0, 0, 0, 0.3);
  margin-right: 30px;
  flex-shrink: 0;
  position: relative;
}
.cart-section .cart-product .cart-product-goods .cart-img .section-img {
  width: 100%;
  position: relative;
  z-index: 0;
}
.cart-section .cart-product .cart-product-goods .cart-img .product-img-30 {
  width: 60px;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: 1;
}
.cart-section .cart-product .cart-product-goods .cart-img .product-img-31 {
  width: 60px;
  position: absolute;
  top: 62%;
  left: 45%;
  transform: translate(-50%, -50%);
  z-index: 1;
}
.cart-section .cart-product .cart-product-goods .cart-img .product-img-32 {
  width: 46px;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: 1;
}
.cart-section .cart-product .cart-product-goods .cart-img .p-img {
  width: 60px;
  position: absolute;
  top: 38%;
  left: 63%;
  transform: translate(-50%, -50%);
  z-index: 2;
}
.cart-section .cart-product .cart-product-goods .cart-info {
  color: #FFF;
  border-left: 4px solid #FFF;
  padding: 6px 0 10px 20px;
  height: 120px;
  overflow: hidden;
  width: 100%;
  position: relative;
}
.cart-section .cart-product .cart-product-goods .cart-info .product-list {
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.cart-section .cart-product .cart-product-goods .cart-info .product-list .list-name {
  font-size: 14px;
}
.cart-section .cart-product .cart-product-goods .cart-info .product-list .mouth {
  border: 1px solid #FFF;
  border-radius: 6px;
  padding: 2px 6px;
  margin-left: 8px;
  font-size: 12px;
}
.cart-section .cart-product .cart-product-goods .cart-info .product-list .del {
  width: 26px;
  height: 26px;
  opacity: 0;
  cursor: pointer;
  transition: all 0.3s;
}
.cart-section .cart-product .cart-product-goods .cart-info .product-name {
  font-size: 24px;
  letter-spacing: 2px;
}
.cart-section .cart-product .cart-product-goods .cart-info .sub {
  opacity: 0.3;
  font-size: 12px;
}
.cart-section .cart-product .cart-product-goods .cart-info .price {
  font-size: 18px;
  margin-top: 10px;
}
.cart-section .cart-product .cart-product-goods .cart-info input {
  background-color: transparent;
  width: 100%;
  height: 100%;
  border: none;
  text-align: center;
  font-size: 20px;
  cursor: unset;
  color: #FFF;
}
.cart-section .cart-product .cart-product-goods .cart-info .su-cart {
  width: 35%;
  height: 46px;
  position: absolute;
  border-radius: 99px;
  flex: 2;
  overflow: hidden;
  transition: all 0.3s ease-out;
  background-color: rgba(255, 255, 255, 0.1);
  border: 1.5px solid transparent;
  cursor: pointer;
  bottom: 0;
  right: 0;
}
.cart-section .cart-product .cart-product-goods .cart-info .su-cart i {
  font-size: 16px;
  position: absolute;
  text-align: center;
  top: 50%;
  transform: translate(0, -50%);
  cursor: pointer;
  color: #ffffff;
  -moz-user-select: none;
  -webkit-user-select: none;
  -ms-user-select: none;
  -khtml-user-select: none;
  user-select: none;
  display: inline-block;
  height: 36px;
  width: 48px;
  line-height: 36px;
  transition: all 0.3s ease-out;
  font-weight: 700;
  background-color: transparent;
}
.cart-section .cart-product .cart-product-goods .cart-info .su-cart i:hover {
  font-size: 20px;
  background-color: rgba(255, 255, 255, 0.3);
}
.cart-section .cart-product .cart-product-goods .cart-info .su-cart .cart-reduce {
  left: 3px;
  border-radius: 99px 20px 20px 99px;
}
.cart-section .cart-product .cart-product-goods .cart-info .su-cart .cart-add {
  right: 3px;
  border-radius: 20px 99px 99px 20px;
}
.cart-section .cart-product .cart-product-goods .cart-info .su-cart:hover {
  background-color: rgba(255, 255, 255, 0.1);
  border: 1.5px solid rgba(255, 255, 255, 0.7);
}
.cart-section .cart-footer {
  color: #FFF;
  padding: 10px 30px 30px;
  border-top: 1px solid rgba(255, 255, 255, 0.1);
  position: fixed;
  bottom: 0;
  width: 100%;
}
.cart-section .cart-footer .cart-count {
  display: flex;
  flex-direction: column;
  gap: 6px 0;
  font-size: 14px;
}
.cart-section .cart-footer .cart-count .count-num {
  font-size: 24px;
  text-decoration: 2px underline dashed rgba(255, 255, 255, 0.3);
  text-underline-offset: 5px;
  margin-right: 6px;
}
.cart-section .cart-footer .cart-count .tips {
  opacity: 0.3;
}
.cart-section .cart-footer .go-shopping {
  background-color: rgba(255, 255, 255, 0.3);
  color: #fff;
  text-align: center;
  padding: 14px 80px;
  border-radius: 99px;
  letter-spacing: 4px;
  font-size: 18px;
  display: flex;
  align-items: center;
  gap: 0 10px;
  transition: all 0.3s;
  cursor: pointer;
  position: absolute;
  right: 30px;
  top: 30px;
}
.cart-section .cart-footer .go-shopping .safeicon {
  width: 28px;
  height: 28px;
  fill: #fff;
  margin-top: 2px;
  transition: all 0.3s;
}
.cart-section .cart-footer .go-shopping:hover {
  transform: scale(1.05);
  color: #282c7d;
  background-color: #ffffff;
}
.cart-section .cart-footer .go-shopping:hover .safeicon {
  fill: #282c7d;
}
